Package pygccxml :: Package declarations :: Module decl_printer :: Class decl_printer_t

# type decl_printer_t

source code

                     object --+
                              |
    decl_visitor.decl_visitor_t --+
                                  |
                                 decl_printer_t

Helper class for printing decl tree.

This class provides more information than the __str__() methods do. The class is not just meant to provide a unique "id" for a declaration but to inspect an entire declaration tree. This is particularly useful for new users who want to find out how Py++ works and how it stores its data.

Instance Methods

__init__(self, level=0, print_details=True, recursive=True, writer=None) | source code

clone(self, increment_level=True) | source code

print_decl_header(self) | source code

print_calldef_info(self, decl=None) Returns function signature: [retval, [arg1, ..., argN]]. | source code

visit_member_function(self) | source code

visit_constructor(self) | source code

visit_destructor(self) | source code

visit_member_operator(self) | source code

visit_casting_operator(self) | source code

visit_free_function(self) | source code

visit_free_operator(self) | source code

visit_class_declaration(self) | source code

visit_class(self) | source code

visit_enumeration(self) | source code

visit_namespace(self) | source code

visit_typedef(self) | source code

visit_variable(self) | source code

Class Variables
| JUSTIFY = `20`
| INDENT_SIZE = `4`

Properties
| recursive
| level
| print_details
| writer
| instance

Method Details

### __init__(self, level=0, print_details=True, recursive=True, writer=None)
(Constructor)

source code

Overrides: decl_visitor.decl_visitor_t.__init__

### visit_member_function(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_member_function

### visit_constructor(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_constructor

### visit_destructor(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_destructor

### visit_member_operator(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_member_operator

### visit_casting_operator(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_casting_operator

### visit_free_function(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_free_function

### visit_free_operator(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_free_operator

### visit_class_declaration(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_class_declaration

### visit_class(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_class

### visit_enumeration(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_enumeration

### visit_namespace(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_namespace

### visit_typedef(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_typedef

### visit_variable(self)

source code

Overrides: decl_visitor.decl_visitor_t.visit_variable

Property Details

### recursive

Get Method:
  _get_recursive(self)
Set Method:
  _set_recursive(self, recursive)

### level

Get Method:
  _get_level(self)
Set Method:
  _set_level(self, lvl)

### print_details

Get Method:
  _get_print_details(self)
Set Method:
  _set_print_details(self, details)

### writer

Get Method:
  _get_writer(self)
Set Method:
  _set_writer(self, writer)

### instance

Get Method:
  _get_inst(self)
Set Method:
  _set_inst(self, inst)